
/**
 *  A constant for the order N for the secp256k1 curve.
 */
export const N: bigint = BigInt("0xfffffffffffffffffffffffffffffffebaaedce6af48a03bbfd25e8cd0364141");

/**
 *  A constant for the number of wei in a single ether.
 */
export const WeiPerEther: bigint = BigInt("1000000000000000000");

/**
 *  A constant for the maximum value for a ``uint256``.
 */
export const MaxUint256: bigint = BigInt("0xffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff");

/**
 *  A constant for the minimum value for an ``int256``.
 */
export const MinInt256: bigint = BigInt("0x8000000000000000000000000000000000000000000000000000000000000000") * BigInt(-1);

/**
 *  A constant for the maximum value for an ``int256``.
 */
export const MaxInt256: bigint = BigInt("0x7fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff");
